Subject: Re: Faces audio support ala xbiff++

From: [email-masked]
Date: Thu, 4 Apr 91 10:53 PST

(Message Xfaces:56)
On Fri, 05 Apr 91 01:48:06 PST, [email-masked] writes:
| Rich writes:
| 
|     This seems to be the way to go for sound support. I don't know if
|     there is a size limit for a single X resource. That might be a
|     slight problem. [...]
| 
|     I'd like other people views, but unless there are any strong
|     objections, I'll aim to start work on this over this weekend.
| 
| I have huge objections.  This does _not_ belong in the resources.  Please
| do not ever lose sight of the fact that the resources are in _server_
| memory (as the RESOURCE_MANAGER property of the root window) and server
| memory is, by the hard facts of life, a scarce commodity.

I also object.  Not only is the X resource data base overused
(I've benchmarked applications that used 2 seconds to start up
reading the database from the server and then trying to do all
the matching), but the real problem is that the binding should
be kept with the data.

In my installation, we have one machine that everyone NFS's to
that has the face database.  If the audio bindings were in the
resource file, then everyone using audio faces would also have to
place all of the binding information in their .Xdefaults file.

I liked the .au file with the face.xbm file.  This follows the
current database architecture and we can then begin discussing
new database architectures.  At the worst, I'd accept a bindings
file ("aubindings.tab" ?).

In ten words or less: I'd recommend that the data and the bindings
be associated with the database and the workstation/preference
specific playing programs be specified resources, parameters, ...

        -- Robert Adams         [email-masked]
                                ...!uunet!littlei!adams

---

From: richb@stard (Rich Burridge)
Date: Fri, 5 Apr 1991 08:38:35 +1000

Okay, John and Robert have persuaded me not to do it as an X resource.

} In ten words or less: I'd recommend that the data and the bindings
} be associated with the database and the workstation/preference
} specific playing programs be specified resources, parameters, ...

As I've mentioned before, this is really simple to implement.

It also means that the SunView and NeWS users can use this audio ability too.

If I ever get my act together and fixup the bugs associated with multiple
face database lookup, then individual users can have their audio information
in their own smaller personised faces database.